#include <bits/stdc++.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(0); cin.tie(0); cerr.tie(0); cout.tie(0);
	string s;
	cin >> s[0] >> s[1];
	long long a1, a2;
	cin >> a1 >> a2;
	if(a1 + 1 == a2){
		for(int i = 0; i < a1 + a2; i++){
			if(i % 2 == 0)
				cout << s[1];
			else
				cout << s[0];
		}
	}
	else if(a1 == a2){
		for(int i = 0; i < a1 + a2; i++){
			if(i % 2 == 0)
				cout << s[0];
			else
				cout << s[1];
		}
	}
	else if(a1 == a2 + 1){
		for(int i = 0; i < a1 + a2; i++){
			if(i % 2 == 0)
				cout << s[0];
			else
				cout << s[1];
		}
	}
	else
		cout << "nemoguce";
	return 0;
}